﻿using FlowerShopDataModels.Enums;
using FlowerShopDataModels;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FlowerShopContracts.Attributes;

namespace FlowerShopContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
		[Column(title: "Номер", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
		public int Id { get; set; }
		[Column(visible: false)]
		public int FlowerId { get; set; }
		[Column(visible: false)]
		public int? ImplementerId { get; set; } = null;
		[Column(visible: false)]
		public int ClientId { get; set; }
		[Column(title: "Цветок", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
		public string FlowerName { get; set; } = string.Empty;
		[Column(title: "ФИО исполнителя", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string ImplementerFIO { get; set; } = string.Empty;
		[Column(title: "Количество", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
		public int Count { get; set; }
		[Column(title: "Сумма", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
		public double Sum { get; set; }
		[Column(title: "Статус", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
		public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
		[Column(title: "Дата создания", width: 100)]
		public DateTime DateCreate { get; set; } = DateTime.Now;
		[Column(title: "Дата выполнения", width: 100)]
		public DateTime? DateImplement { get; set; }
		[Column(title: "ФИО клиента", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string ClientFIO { get; set; } = string.Empty;
    }
}
