﻿using FlowerShopContracts.DI;
using FlowerShopContracts.StoragesContracts;
using FlowerShopDatabaseImplement.Implements;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FlowerShopDatabaseImplement
{
	public class DatabaseImplementationExtension : IImplementationExtension
	{
		public int Priority => 2;
		// регистрация зависимостей в контейнере dependency manager
		public void RegisterServices()
		{
			DependencyManager.Instance.RegisterType<IClientStorage,ClientStorage>();
			DependencyManager.Instance.RegisterType<IComponentStorage,ComponentStorage>();
			DependencyManager.Instance.RegisterType<IImplementerStorage,ImplementerStorage>();
			DependencyManager.Instance.RegisterType<IMessageInfoStorage,MessageInfoStorage>();
			DependencyManager.Instance.RegisterType<IOrderStorage,OrderStorage>();
			DependencyManager.Instance.RegisterType<IFlowerStorage,FlowerStorage>();
			DependencyManager.Instance.RegisterType<IBackUpInfo, BackUpInfo>();
		}
	}
}
